Skip to main content
`Ctrl`+`K`

# TSGetTimeSpan

gets the time span set with `TSSetTimeSpan()`

## Synopsis

    #include <petscts.h>
    PETSC_DEPRECATED_FUNCTION(3, 23, 0, "TSGetEvaluationTimes()", ) static inline PetscErrorCode TSGetTimeSpan(TS ts, PetscInt *n, const PetscReal *span_times[])

Not Collective

## Input Parameter

- ts - the time-stepper

## Output Parameters

- n - number of the time points (>=2)

- span_times - array of the time points. The first element and the last element are the initial time and the final time respectively.

## Note

Deprecated, use `TSGetEvaluationTimes()`.

The values obtained are valid until the `TS` object is destroyed.

Both `n` and `span_times` can be `NULL`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetEvaluationTimes()`, `TSSetTimeSpan()`, `TSSetEvaluationTimes()`, `TSGetEvaluationSolutions()`

## Level

deprecated

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages